#include <cstdio>
#include <cmath>
#include <algorithm>

using namespace std;

const int MAXN = 51;
const int MAXT = 61;
const int INF = (int)1e9;

int n1, n2;

int as[MAXN], bs[MAXN];

int memo[MAXN][MAXN][MAXT];

int calc(int d1, int d2, int t) {
	if (t >= MAXT)
		return INF;
	if (d1 == n1 && d2 == n2) {
		return t;
	}
	if (memo[d1][d2][t] != 0) {
		return memo[d1][d2][t];
	}
	int res = INF;
	if (d1 < n1) {
		res = min(res, calc(d1 + 1, d2, max(as[d1]-t, 0)) + t);
		res = min(res, calc(d1 + 1, d2, t + as[d1]));
	}

	if (d2 < n2) {
		res = min(res, calc(d1, d2 + 1, max(bs[d2]-t, 0)) + t);
		res = min(res, calc(d1, d2 + 1, t + bs[d2]));

	}
	memo[d1][d2][t] = res;
	return res;
}


int main() {
	scanf("%d%d", &n1, &n2);
	for (int i = 0; i < n1; i++) {
		scanf("%d", as+i);
	}
	for (int j = 0; j < n2; j++) {
		scanf("%d", bs+j);
	}
	printf("%d\n", calc(0, 0, 0));
	return 0;
}
